Kubernetes

Create node pool

post/kubernetes/{cluster_uuid}/node-pools/

Add a new node pool to your Kubernetes cluster with the specified plan and worker count.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

cluster_uuid*string

Request body

application/jsonRequired
name?string
Range1 ≤ length ≤ 100Rangepattern ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$Default"default"
plan*string
count?integer
Range1 ≤ value ≤ 100Default1
auto_scale?boolean
Defaulttrue
labels?record<string, string> | null
taints?array<TaintSpec> | null
Properties (3)
key*string
Range1 ≤ length ≤ 253
value*string
Rangelength ≤ 63
effect*string
Value in"NoSchedule""PreferNoSchedule""NoExecute"

Responses

Successful Response

application/json

detail*string
uuid*string
name*string